:root {
    --black-pearl-0: #fff;
    --black-pearl-50: #f3f7fc;
    --black-pearl-100: #e6eff8;
    --black-pearl-200: #c6ddf1;
    --black-pearl-300: #94c2e5;
    --black-pearl-400: #5ba1d5;
    --black-pearl-500: #3686c1;
    --black-pearl-600: #2669a3;
    --black-pearl-700: #205584;
    --black-pearl-800: #1e496e;
    --black-pearl-900: #1e3e5c;
    --black-pearl-950: #0f1e2e;
  }
  
  body {
    margin: 0;
    font-family: "Muli", sans-serif;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    overflow-x: hidden;
  }
  
  #hero {
    background-image: url("../sources/Fondo.webp");
  }
  
  .carousel {
    background: -webkit-gradient(
      linear,
      left bottom,
      left top,
      from(#0f0140e6),
      to(rgba(255, 214, 117, 0.9))
    );
    background: linear-gradient(
      to top,
      var(--black-pearl-950),
      var(--black-pearl-300)
    );
    background-size: cover;
    width: 100%;
    height: max-content;
    padding: 200px 0;
    position: absolute;
    z-index: 0;
    top: 0;
    left: 0;
  }
  
  .carousel {
    width: 100%;
    overflow-x: auto;
    padding: 30px;
    padding-top: 80px;
    position: relative;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
  }
  
  .carousel__container {
    white-space: nowrap;
    margin: 70px 0px;
    padding-bottom: 10px;
    display: inline-block;
  }
  
  .categories__title {
    color: var(--black-pearl-600);
    font-size: 28px;
    position: absolute;
    margin-left: 30px;
    padding: 15px 30px;
    font-weight: bold;
    border-radius: 15px;
    background-color: rgba(255, 255, 255, 0.562); /* Fondo transparente */
    -webkit-backdrop-filter: blur(20px); /* Soporte para Safari */
    backdrop-filter: blur(20px); /* Efecto de desenfoque */
    border-radius: 20px;
  }
  
  .carousel-item {
    width: 200px;
    height: 250px;
    border-radius: 20px;
    background-color: #95bcd6;
    overflow: hidden;
    margin-right: 10px;
    margin-top: 70px;
    display: inline-block;
    cursor: pointer;
    -webkit-transition: 1000ms all;
    transition: 1000ms all;
    -webkit-transform-origin: center left;
    transform-origin: center left;
    position: relative;
  }
  
  .carousel-item:hover ~ .carousel-item {
    -webkit-transform: translate3d(100px, 0, 0);
    transform: translate3d(100px, 0, 0);
  }
  
  .carousel__container:hover .carousel-item {
    opacity: 0.3;
  }
  
  .carousel__container:hover .carousel-item:hover {
    -webkit-transform: scale(1.5);
    transform: scale(1.5);
    opacity: 1;
  }
  
  .carousel-item__img {
    width: 200px;
    height: 250px;
    -o-object-fit: cover;
    object-fit: cover;
  }
  
  .carousel-item__details {
    background: -webkit-gradient(
      linear,
      left bottom,
      left top,
      from(rgba(0, 0, 0, 0.9)),
      to(rgba(0, 0, 0, 0))
    );
    background: linear-gradient(
      to top,
      rgba(0, 0, 0, 0.9) 0%,
      rgba(0, 0, 0, 0) 100%
    );
    font-size: 10px;
    opacity: 0;
    -webkit-transition: 450ms opacity;
    transition: 450ms opacity;
    padding: 10px;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
  }
  
  .carousel-item__details:hover {
    opacity: 1;
  }
  
  .carousel-item__details span {
    /* width: 10px;
      height: 10px; */
    font-size: 0.9rem;
    color: #2ecc71;
    /* background-color: white; */
  }
  
  .carousel-item__details .carousel-item__details--title {
    padding-top: 180px;
    color: #fff;
    margin: 5px 0;
  }
  
  .carousel-item__details .carousel-item__details--title,
  .carousel-item__details--subtitle {
    color: #fff;
    margin: 5px 0;
  }
  
  .carousel-item__details .carousel-item__details--title {
    font-size: 1.7em;
    color: var(--black-pearl-300);
    font-weight: 900;
  }
  
  .carousel-item__details .carousel-item__details--subtitle {
    font-size: 1.2em;
    color: var(--black-pearl-100);
    font-weight: 600;
  }
  
  .carousel::-webkit-scrollbar {
    width: 12px; /* width of the entire scrollbar */
  }
  
  .carousel::-webkit-scrollbar-track {
    background: var(--black-pearl-200); /* color of the tracking area */
  }
  
  .carousel::-webkit-scrollbar-thumb {
    background-color: var(--black-pearl-800); /* color of the scroll thumb */
    border-radius: 20px; /* roundness of the scroll thumb */
    border: 2px solid var(--black-pearl-200); /* creates padding around scroll thumb */
  }